package com.brilliance.isc.common.quemod.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

@Getter
@AllArgsConstructor
public enum QueClaStatus {
    COR("COR","退回"),
    INC("INC","来报"),
    MAN("MAN","人工处理"),
    RIM("RIM","上收"),
    PEN("PEN","暂存"),
    REL("REL","复核"),
    DIA("DIA","日志"),
    ORD("ORD","订单");

    private final String value;
    private final String name;

    public static String getNameByValue(String value){
        for (QueClaStatus s : QueClaStatus.values()) {
            if (Objects.equals(s.getValue(), value)) {
                return s.getName();
            }
        }
        return "";
    }
}
